import {
  __name,
  init_esm_shims
} from "./chunk-65NJ2BNV.js";

// src/utilities/correct-paths.ts
init_esm_shims();
import { join } from "node:path";
var removeWindowsDriveLetter = /* @__PURE__ */ __name((osSpecificPath) => {
  return osSpecificPath.replace(/^[A-Z]:/, "");
}, "removeWindowsDriveLetter");
var correctPaths = /* @__PURE__ */ __name((path) => {
  if (!path) {
    return "";
  }
  if (path.includes("\\")) {
    if (!path.toUpperCase().startsWith("C:")) {
      path = `C:${path}`;
    }
    return path.replaceAll("/", "\\");
  }
  return removeWindowsDriveLetter(path).split("\\").join("/");
}, "correctPaths");
var joinPaths = /* @__PURE__ */ __name((...paths) => {
  if (!paths || paths.length === 0) {
    return "";
  }
  return correctPaths(join(...paths));
}, "joinPaths");

export {
  correctPaths,
  joinPaths
};
